MultiLayer Class Reference

An MDI window (MdiSubWindow) managing one or more Graph objects. More...

`#include <MultiLayer.h>`

Inheritance diagram for MultiLayer:

## Public Types

enum | AlignPolicy { AlignLayers = 0, AlignCanvases }
enum | HorAlignement { HCenter, Left, Right }
enum | SizePolicy { Expanding = 0, UserSize }
enum | VertAlignement { VCenter, Top, Bottom }
Public Types inherited from MdiSubWindow
enum | CaptionPolicy { Name = 0, Label = 1, Both = 2 }
| Possible window captions. More...
enum | Status { Hidden = -1, Normal = 0, Minimized = 1, Maximized = 2 }

## Public Slots

Graph * | activeLayer ()
Graph * | addLayer (int x=0, int y=0, int width=0, int height=0, bool=false)
void | confirmRemoveLayer ()
bool | isEmpty ()
bool | removeActiveLayer ()
bool | removeLayer (Graph *g)
Public Slots inherited from MdiSubWindow

## Signals

void | currentColorChanged (const QColor &)
void | currentFontChanged (const QFont &)
void | cursorInfo (const QString &)
void | drawLineEnded (bool)
void | modifiedPlot ()
void | pasteMarker ()
void | setPointerCursor ()
void | showCurvesDialog ()
void | showEnrichementDialog ()
void | showLineDialog ()
void | showMarkerPopupMenu ()
Signals inherited from MdiSubWindow
void | closedWindow (MdiSubWindow *)
| Emitted when the window was closed. More...
void | hiddenWindow (MdiSubWindow *)
| Emitted when the window was hidden. More...
void | modifiedWindow (MdiSubWindow *)
void | resizedWindow (MdiSubWindow *)
void | showContextMenu ()
| Show the context menu. More...
void | statusChanged (MdiSubWindow *)
| Emitted when the window status changed. More...

## Public Member Functions

void | activateGraph (LayerButton *button)
void | adjustLayersToCanvasSize ()
AlignPolicy | alignPolicy ()
QSize | arrangeLayers (bool userSize)
bool | arrangeLayers (bool fit, bool userSize)
int | bottomMargin ()
QWidget * | canvas ()
QRect | canvasChildrenRect ()
QRect | canvasRect ()
int | colsSpacing ()
void | connectLayer (Graph *g)
void | copy (MultiLayer *ml)
void | deselect ()
void | findBestLayout (int &rows, int &cols)
int | getCols ()
int | getRows ()
bool | hasCommonAxes ()
bool | hasLinkedXLayerAxes ()
bool | hasSelectedLayers ()
int | horizontalAlignement ()
bool | isLayerSelected (Graph *)
Graph * | layer (int num)
Graph * | layerAt (const QPoint &pos)
| Returns the layer at the given position; returns 0 if there is no such layer. More...
QSize | layerCanvasSize ()
int | layerIndex (Graph *g)
QList< Graph * > | layersList ()
int | leftMargin ()
void | linkXLayerAxes (bool link=true)
| MultiLayer (ApplicationWindow *parent=0, int layers=1, int rows=1, int cols=1, const QString &label="", const char *name=0, Qt::WFlags f=0)
int | numLayers ()
void | plotProfiles (Matrix *m)
void | printCropmarks (bool on)
bool | printCropmarksEnabled ()
int | rightMargin ()
int | rowsSpacing ()
void | save (const QString &fn, const QString &geometry, bool=false)
bool | scaleLayersOnPrint ()
bool | scaleLayersOnResize ()
void | selectLayerCanvas (Graph *g)
void | setActiveLayer (Graph *g)
void | setAlignement (int ha, int va)
void | setAlignPolicy (const AlignPolicy &policy)
void | setCols (int c)
void | setCommonAxesLayout (bool on=true)
void | setCommonLayerAxes (bool verticalAxis=true, bool horizontalAxis=true)
void | setEqualSizedLayers ()
void | setFonts (const QFont &titleFnt, const QFont &scaleFnt, const QFont &numbersFnt, const QFont &legendFnt)
void | setGraphGeometry (int x, int y, int w, int h)
void | setLayerCanvasSize (int w, int h)
void | setMargins (int lm, int rm, int tm, int bm)
void | setNumLayers (int n)
void | setRows (int r)
void | setScaleLayersOnPrint (bool on)
void | setScaleLayersOnResize (bool ok)
void | setSizePolicy (const SizePolicy &policy)
void | setSpacing (int rgap, int cgap)
void | setWaterfallLayout (bool on=true)
SizePolicy | sizePolicy ()
virtual QString | sizeToString ()
| Size of the widget as a string. More...
QList< Graph * > | stackOrderedLayersList ()
bool | swapLayers (int src, int dest)
QHBoxLayout * | toolBox ()
int | topMargin ()
void | updateLayerAxes (Graph *g, int axis)
void | updateLayersLayout (Graph *)
int | verticalAlignement ()
| ~MultiLayer ()
Print and Export
QPixmap | canvasPixmap (const QSize &size=QSize(), double scaleFontsFactor=1.0, bool transparent=false)
void | exportToFile (const QString &fileName)
void | exportImage (const QString &fileName, int quality=100, bool transparent=false, int dpi=0, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0, int compression=0)
void | exportSVG (const QString &fname, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportPDF (const QString &fname)
void | exportVector (const QString &fileName, int res=0, bool color=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportVector (QPrinter *printer, int res=0, bool color=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | draw (QPaintDevice *, const QSizeF &customSize, int unit, int res, double fontsFactor=1.0)
void | exportEMF (const QString &fname, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportTeX (const QString &fname, bool color=true, bool escapeStrings=true, bool fontSizes=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | copyAllLayers ()
void | print ()
void | print (QPrinter *)
void | printAllLayers (QPainter *painter)
void | printActiveLayer ()
Waterfall Plots
void | showWaterfallOffsetDialog ()
void | reverseWaterfallOrder ()
void | showWaterfallFillDialog ()
void | updateWaterfalls ()
bool | isWaterfallPlot ()
QColor | waterfallFillColor ()
void | setWaterfallFillColor (const QColor &c)
Public Member Functions inherited from MdiSubWindow
ApplicationWindow * | applicationWindow ()
| Returns a pointer to the parent application. More...
void | askOnCloseEvent (bool ask)
| Toggle the "ask on close" flag. More...
QString | aspect ()
| Return the window status as a string. More...
QString | birthDate ()
| Return the creation date. More...
CaptionPolicy | captionPolicy ()
| Return the caption policy. More...
void | closeEvent (QCloseEvent *)
| Close event handler. More...
bool | eventFilter (QObject *object, QEvent *e)
| Filters other object's events (customizes title bar's context menu) More...
Folder * | folder ()
| Returns the pointer to the parent folder of the window. More...
| MdiSubWindow (const QString &label=QString(), ApplicationWindow *app=0, const QString &name=QString(), Qt::WFlags f=0)
| Constructor. More...
QSize | minRestoreSize ()
| Returns the size the window had before a change state event to minimized. More...
QString | name ()
| Return the window name. More...
void | notifyChanges ()
| Notifies the main application that the window has been modified. More...
void | resizeEvent (QResizeEvent *)
virtual void | restore (const QStringList &)
| Not implemented yet. More...
void | restoreWindow ()
| Show window making sure that layers in MultiLayer windows are not resized. More...
void | setBirthDate (const QString &s)
| Set the creation date. More...
void | setCaptionPolicy (CaptionPolicy policy)
| Set the caption policy. More...
void | setFolder (Folder *f)
| Initializes the pointer to the parent folder of the window. More...
virtual void | setHidden ()
| Notifies that a window was hidden by a direct user action. More...
void | setMaximized ()
void | setMinimized ()
void | setName (const QString &s)
| Set the window name. More...
void | setNormal ()
void | setStatus (Status s)
| Set the window status flag (hidden, normal, minimized or maximized) More...
void | setWindowLabel (const QString &s)
| Set the window label. More...
Status | status ()
| Return the window status flag (hidden, normal, minimized or maximized) More...
QString | windowLabel ()
| Return the window label. More...

## Private Member Functions

LayerButton * | addLayerButton ()
void | createWaterfallBox ()
Event Handlers
void | mouseReleaseEvent (QMouseEvent *)
void | showEvent (QShowEvent *)
void | dropEvent (QDropEvent *)
void | dragEnterEvent (QDragEnterEvent *)
void | wheelEvent (QWheelEvent *)
void | keyPressEvent (QKeyEvent *)
bool | eventFilter (QObject *object, QEvent *)
void | releaseLayer ()
void | resizeLayers (QResizeEvent *)
Graph * | clickedLayer (Graph *)
| Try to guess on which layer the user clicked if the layers are superposed. More...

## Private Attributes

Graph * | active_graph
int | bottom_margin
QList< LayerButton * > | buttonsList
int | colsSpace
QPushButton * | d_add_layer_btn
AlignPolicy | d_align_policy
QWidget * | d_canvas
QSize | d_canvas_size
int | d_cols
| Used for resizing of layers. More...
bool | d_common_axes_layout
bool | d_is_waterfall_plot
QVector< QRectF > | d_layer_coordinates
QPointer< SelectionMoveResizer > | d_layers_selector
bool | d_link_x_axes
bool | d_print_cropmarks
QPushButton * | d_remove_layer_btn
int | d_rows
bool | d_scale_layers
| Flag telling if layers should be rescaled on the plot window is resized by the user. More...
bool | d_scale_on_print
SizePolicy | d_size_policy
QColor | d_waterfall_fill_color
int | graph_height
int | graph_width
QList< Graph * > | graphsList
int | hor_align
int | l_canvas_height
int | l_canvas_width
QHBoxLayout * | layerButtonsBox
int | left_margin
int | right_margin
int | rowsSpace
QHBoxLayout * | toolbuttonsBox
int | top_margin
int | vert_align
QHBoxLayout * | waterfallBox

## Additional Inherited Members

Static Public Member Functions inherited from MdiSubWindow
static QString | parseAsciiFile (const QString &fname, const QString &commentString, int endLine, int ignoreFirstLines, int maxRows, int &rows)
| Static function used as a workaround for ASCII files having end line char != ' '. More...
Protected Member Functions inherited from MdiSubWindow
virtual void | changeEvent (QEvent *event)
| Catches status changes. More...

## Detailed Description

An MDI window (MdiSubWindow) managing one or more Graph objects.

Note that several parts of the code, as well as the user interface, refer to MultiLayer as "graph" or "plot", practically guaranteeing confusion with the classes Graph and Plot.

# Future Plans

Manage any QWidget instead of only Graph. This would allow 3D graphs to be added as well, so you could produce mixed 2D/3D arrangements. It would also allow text labels to be added directly instead of having to complicate things by wrapping them up in a Graph (see documentation of ImageMarker for details) (see documentation of ImageMarker for details).

The main problem to be figured out for this is how Graph would interface with the rest of the project. A possible solution is outlined in the documentation of ApplicationWindow: If MultiLayer exposes its parent Project to the widgets it manages, they could handle things like creating tables by calling methods of Project instead of sending signals.

## Member Enumeration Documentation

enum MultiLayer::AlignPolicy

Enumerator
AlignLayers |
AlignCanvases |

enum MultiLayer::HorAlignement

Enumerator
HCenter |
Left |
Right |

enum MultiLayer::SizePolicy

Enumerator
Expanding |
UserSize |

enum MultiLayer::VertAlignement

Enumerator
VCenter |
Top |
Bottom |

## Constructor & Destructor Documentation

MultiLayer::MultiLayer | ( | ApplicationWindow * | parent = `0`,
|  | int | layers = `1`,
|  | int | rows = `1`,
|  | int | cols = `1`,
|  | const QString & | label = `""`,
|  | const char * | name = `0`,
|  | Qt::WFlags | f = `0`
| ) |  |

References addLayer(), MdiSubWindow::applicationWindow(), bottom_margin, LayerButton::btnSize(), confirmRemoveLayer(), d_add_layer_btn, d_canvas, d_layer_coordinates, d_remove_layer_btn, graph_height, graph_width, layerButtonsBox, left_margin, right_margin, toolbuttonsBox, top_margin, and waterfallBox.

Referenced by sizeToString().

MultiLayer::~MultiLayer | ( |  | ) |

References deselect(), and graphsList.

## Member Function Documentation

void MultiLayer::activateGraph | ( | LayerButton * | button | ) |

References active_graph, buttonsList, d_layers_selector, graphsList, modifiedPlot(), and Graph::raiseEnrichements().

Referenced by addLayerButton().

Graph* MultiLayer::activeLayer | ( |  | ) |

inline slot

References active_graph.

Referenced by FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), ErrDialog::add(), ApplicationWindow::addEllipse(), ApplicationWindow::addErrorBars(), ApplicationWindow::addFunctionCurve(), ApplicationWindow::addImage(), ApplicationWindow::addInsetLayer(), ApplicationWindow::addRectangle(), ApplicationWindow::addTexFormula(), ApplicationWindow::addText(), ApplicationWindow::addTimeStamp(), ApplicationWindow::alignBottom(), ApplicationWindow::alignLeft(), ApplicationWindow::alignRight(), ApplicationWindow::alignTop(), ApplicationWindow::analysis(), ApplicationWindow::appendProject(), ApplicationWindow::baselineDialog(), LineProfileTool::calculateLineProfile(), ApplicationWindow::copyActiveLayer(), ApplicationWindow::copyMarker(), ApplicationWindow::copySelection(), Filter::createOutputGraph(), ApplicationWindow::custom2DPlotTools(), ApplicationWindow::cutSelection(), ApplicationWindow::drawArrow(), ApplicationWindow::drawLine(), ApplicationWindow::dropEvent(), ApplicationWindow::extractLayers(), ApplicationWindow::fitLinear(), ApplicationWindow::fitMultiPeak(), ApplicationWindow::fitSlope(), ApplicationWindow::hideCurve(), ApplicationWindow::hideOtherCurves(), ApplicationWindow::intensityTable(), ApplicationWindow::loadImage(), ApplicationWindow::movePoints(), ApplicationWindow::multilayerPlot(), ApplicationWindow::newFunctionPlot(), ApplicationWindow::newGraph(), ApplicationWindow::newLegend(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), ApplicationWindow::pasteSelection(), ApplicationWindow::pixelLineProfile(), PlotWizard::plot2D(), ApplicationWindow::plotDoubleYAxis(), ApplicationWindow::plotHistogram(), ApplicationWindow::plotImage(), ApplicationWindow::plotSpectrogram(), ApplicationWindow::raiseActiveEnrichment(), ApplicationWindow::removeCurve(), ApplicationWindow::removePoints(), ApplicationWindow::removeWindowFromLists(), ApplicationWindow::setAutoScale(), ApplicationWindow::setBoldFont(), ApplicationWindow::setCurveFullRange(), ApplicationWindow::setFontFamily(), ApplicationWindow::setFontSize(), ApplicationWindow::setItalicFont(), PlotDialog::setMultiLayer(), ApplicationWindow::setTextColor(), ApplicationWindow::showAllCurves(), ApplicationWindow::showCursor(), ApplicationWindow::showCurveContextMenu(), ApplicationWindow::showCurveRangeDialog(), ApplicationWindow::showCurveWorksheet(), ApplicationWindow::showDataSetDialog(), ApplicationWindow::showEnrichementDialog(), ApplicationWindow::showExpDecayDialog(), ApplicationWindow::showFilterDialog(), ApplicationWindow::showFitDialog(), ApplicationWindow::showFitPolynomDialog(), ApplicationWindow::showFunctionIntegrationDialog(), ApplicationWindow::showGraphContextMenu(), ApplicationWindow::showInterpolationDialog(), ApplicationWindow::showLineDialog(), ApplicationWindow::showMarkerPopupMenu(), ApplicationWindow::showMatrixValuesDialog(), ApplicationWindow::showPlotDialog(), ApplicationWindow::showRangeSelectors(), ApplicationWindow::showSmoothDialog(), ApplicationWindow::subtractReferenceData(), ApplicationWindow::subtractStraightLine(), ApplicationWindow::translateCurve(), ApplicationWindow::waterfallPlot(), ApplicationWindow::zoomIn(), ApplicationWindow::zoomOut(), and ApplicationWindow::zoomRectanglePlot().

Graph * MultiLayer::addLayer | ( | int | x = `0`,
|  | int | y = `0`,
|  | int | width = `0`,
|  | int | height = `0`,
|  | bool | setPreferences = `false`
| ) |  |

slot

References active_graph, addLayerButton(), MdiSubWindow::applicationWindow(), colsSpace, connectLayer(), d_canvas, d_cols, d_rows, graphsList, left_margin, Graph::raiseEnrichements(), right_margin, rowsSpace, ApplicationWindow::setPreferences(), and top_margin.

Referenced by ApplicationWindow::addInsetLayer(), ApplicationWindow::addLayer(), copy(), dropEvent(), ApplicationWindow::dropEvent(), Graph::dropEvent(), ApplicationWindow::extractGraphs(), ApplicationWindow::extractLayers(), MultiLayer(), ApplicationWindow::openGraph(), FFT::outputGraphs(), ApplicationWindow::pasteSelection(), plotProfiles(), setNumLayers(), and ApplicationWindow::zoomRectanglePlot().

LayerButton * MultiLayer::addLayerButton | ( |  | ) |

private

References activateGraph(), MdiSubWindow::applicationWindow(), buttonsList, graphsList, layerButtonsBox, and showCurvesDialog().

Referenced by addLayer().

void MultiLayer::adjustLayersToCanvasSize | ( |  | ) |

References d_canvas, graphsList, and Graph::pageGeometry().

Referenced by ApplicationWindow::changeFolder(), resizeLayers(), and ApplicationWindow::restoreApplicationGeometry().

AlignPolicy MultiLayer::alignPolicy | ( |  | ) |

inline

References d_align_policy.

Referenced by copy(), and LayerDialog::setMultiLayer().

QSize MultiLayer::arrangeLayers | ( | bool | userSize | ) |

References AlignCanvases, Graph::autoscaleFonts(), bottom_margin, colsSpace, d_align_policy, d_canvas, d_cols, d_rows, d_size_policy, Expanding, graphsList, l_canvas_height, l_canvas_width, left_margin, right_margin, rowsSpace, Graph::setAutoscaleFonts(), Graph::setCanvasGeometry(), Graph::setCanvasSize(), top_margin, and UserSize.

Referenced by ApplicationWindow::addLayer(), arrangeLayers(), ApplicationWindow::autoArrangeLayers(), confirmRemoveLayer(), ApplicationWindow::extractLayers(), ApplicationWindow::multilayerPlot(), ApplicationWindow::newGraph(), FFT::outputGraphs(), PlotWizard::plot2D(), ApplicationWindow::plotImage(), ApplicationWindow::plotSpectrogram(), resizeLayers(), LayerDialog::update(), updateLayersLayout(), ApplicationWindow::waterfallPlot(), and ApplicationWindow::zoomRectanglePlot().

bool MultiLayer::arrangeLayers | ( | bool | fit,
|  | bool | userSize
| ) |  |

References arrangeLayers(), bottom_margin, d_canvas, d_cols, d_layers_selector, d_rows, d_scale_layers, findBestLayout(), graphsList, left_margin, modifiedPlot(), resizeLayers(), right_margin, and setEqualSizedLayers().

int MultiLayer::bottomMargin | ( |  | ) |

inline

References bottom_margin.

Referenced by copy(), and LayerDialog::setMultiLayer().

QWidget* MultiLayer::canvas | ( |  | ) |

inline

References d_canvas.

Referenced by FrameWidget::calculateBottomValue(), FrameWidget::calculateRightValue(), FrameWidget::calculateXValue(), FrameWidget::calculateYValue(), ImageExportDialog::drawPreview(), ImageExportDialog::drawVectorPreview(), Graph::dropEvent(), AddWidgetTool::eventFilter(), ImageExportDialog::initAdvancedOptions(), ApplicationWindow::pasteSelection(), resizeLayers(), Graph::saveToString(), FrameWidget::setOriginCoord(), Graph::stackingOrderEnrichmentsList(), and TextEditor::TextEditor().

QRect MultiLayer::canvasChildrenRect | ( |  | ) |

References bottom_margin, Graph::boundingRect(), graphsList, and right_margin.

QPixmap MultiLayer::canvasPixmap | ( | const QSize & | size = `QSize()`,
|  | double | scaleFontsFactor = `1.0`,
|  | bool | transparent = `false`
| ) |  |

References d_canvas, Graph::print(), and stackOrderedLayersList().

Referenced by copyAllLayers(), exportImage(), and ImageWidget::windowPixmap().

QRect MultiLayer::canvasRect | ( |  | ) |

inline

References d_canvas.

Referenced by ApplicationWindow::addLayer(), print(), and printAllLayers().

Graph * MultiLayer::clickedLayer | ( | Graph * | g | ) |

private

Try to guess on which layer the user clicked if the layers are superposed.

References graphsList.

int MultiLayer::colsSpacing | ( |  | ) |

inline

References colsSpace.

Referenced by copy(), and LayerDialog::setMultiLayer().

void MultiLayer::confirmRemoveLayer | ( |  | ) |

slot

References active_graph, arrangeLayers(), graphsList, and removeLayer().

Referenced by ApplicationWindow::deleteLayer(), and MultiLayer().

void MultiLayer::connectLayer | ( | Graph * | g | ) |

References MdiSubWindow::applicationWindow(), currentColorChanged(), currentFontChanged(), cursorInfo(), d_link_x_axes, drawLineEnded(), modifiedPlot(), MdiSubWindow::notifyChanges(), selectLayerCanvas(), setActiveLayer(), MdiSubWindow::showContextMenu(), showLineDialog(), showMarkerPopupMenu(), and updateLayerAxes().

Referenced by addLayer().

void MultiLayer::copy | ( | MultiLayer * | ml | ) |

References addLayer(), alignPolicy(), Graph::autoscaleFonts(), bottomMargin(), ImageProfilesTool::clone(), colsSpacing(), Graph::copy(), d_align_policy, d_common_axes_layout, d_print_cropmarks, d_scale_layers, d_scale_on_print, d_size_policy, hasCommonAxes(), hasLinkedXLayerAxes(), horizontalAlignement(), Graph::imageProfilesTool(), isWaterfallPlot(), layer(), layerIndex(), layersList(), leftMargin(), linkXLayerAxes(), printCropmarksEnabled(), rightMargin(), rowsSpacing(), scaleLayersOnPrint(), scaleLayersOnResize(), Graph::setActiveTool(), setAlignement(), Graph::setAutoscaleFonts(), setMargins(), setSpacing(), setWaterfallLayout(), sizePolicy(), topMargin(), and verticalAlignement().

Referenced by ApplicationWindow::clone().

void MultiLayer::copyAllLayers | ( |  | ) |

References canvasPixmap(), d_layers_selector, Graph::deselectMarker(), exportEMF(), graphsList, and MdiSubWindow::name().

void MultiLayer::createWaterfallBox | ( |  | ) |

private

References reverseWaterfallOrder(), showWaterfallFillDialog(), showWaterfallOffsetDialog(), and waterfallBox.

Referenced by setWaterfallLayout().

void MultiLayer::currentColorChanged | ( | const QColor & |  | ) |

signal

Referenced by connectLayer().

void MultiLayer::currentFontChanged | ( | const QFont & |  | ) |

signal

Referenced by connectLayer().

void MultiLayer::cursorInfo | ( | const QString & |  | ) |

signal

Referenced by connectLayer().

void MultiLayer::deselect | ( |  | ) |

References d_layers_selector.

Referenced by Graph::deselect(), ApplicationWindow::disableTools(), eventFilter(), keyPressEvent(), ApplicationWindow::pasteSelection(), ApplicationWindow::pickDataTool(), setActiveLayer(), and ~MultiLayer().

void MultiLayer::dragEnterEvent | ( | QDragEnterEvent * | e | ) |

private

References Graph::multiLayer().

void MultiLayer::draw | ( | QPaintDevice * | device,
|  | const QSizeF & | customSize,
|  | int | unit,
|  | int | res,
|  | double | fontsFactor = `1.0`
| ) |  |

References Graph::customPrintSize(), d_canvas, Graph::print(), and stackOrderedLayersList().

Referenced by ImageExportDialog::drawPreview(), exportSVG(), and exportTeX().

void MultiLayer::drawLineEnded | ( | bool |  | ) |

signal

Referenced by connectLayer().

void MultiLayer::dropEvent | ( | QDropEvent * | event | ) |

private

References addLayer(), Graph::copy(), d_canvas, and Graph::multiLayer().

bool MultiLayer::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

private

References MdiSubWindow::applicationWindow(), d_canvas, d_canvas_size, d_layers_selector, deselect(), Graph::deselect(), MdiSubWindow::eventFilter(), graphsList, Graph::hasSeletedItems(), modifiedPlot(), Graph::mousePressed(), resizeLayers(), setActiveLayer(), ApplicationWindow::showPlotDialog(), and ApplicationWindow::showWindowContextMenu().

void MultiLayer::exportEMF | ( | const QString & | fname,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References MdiSubWindow::applicationWindow(), ImportExportPlugin::exportMultiLayerPlot(), and ApplicationWindow::exportPlugin().

Referenced by copyAllLayers(), ApplicationWindow::exportAllGraphs(), ApplicationWindow::exportGraph(), and exportToFile().

void MultiLayer::exportImage | ( | const QString & | fileName,
|  | int | quality = `100`,
|  | bool | transparent = `false`,
|  | int | dpi = `0`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`,
|  | int | compression = `0`
| ) |  |

References canvasPixmap(), and Graph::customPrintSize().

Referenced by ApplicationWindow::exportAllGraphs(), ApplicationWindow::exportGraph(), and exportToFile().

void MultiLayer::exportPDF | ( | const QString & | fname | ) |

virtual

Reimplemented from MdiSubWindow.

References exportVector().

void MultiLayer::exportSVG | ( | const QString & | fname,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References Graph::customPrintSize(), d_canvas, and draw().

Referenced by ApplicationWindow::exportAllGraphs(), ApplicationWindow::exportGraph(), and exportToFile().

void MultiLayer::exportTeX | ( | const QString & | fname,
|  | bool | color = `true`,
|  | bool | escapeStrings = `true`,
|  | bool | fontSizes = `true`,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References Graph::customPrintSize(), d_canvas, draw(), and graphsList.

Referenced by ApplicationWindow::exportAllGraphs(), ApplicationWindow::exportGraph(), and exportToFile().

void MultiLayer::exportToFile | ( | const QString & | fileName | ) |

References exportEMF(), exportImage(), exportSVG(), exportTeX(), and exportVector().

void MultiLayer::exportVector | ( | const QString & | fileName,
|  | int | res = `0`,
|  | bool | color = `true`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

Referenced by ImageExportDialog::drawVectorPreview(), ApplicationWindow::exportAllGraphs(), ApplicationWindow::exportGraph(), exportPDF(), and exportToFile().

void MultiLayer::exportVector | ( | QPrinter * | printer,
|  | int | res = `0`,
|  | bool | color = `true`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References Graph::customPrintSize(), d_canvas, Graph::print(), and stackOrderedLayersList().

void MultiLayer::findBestLayout | ( | int & | rows,
|  | int & | cols
| ) |  |

References graphsList.

Referenced by arrangeLayers().

int MultiLayer::getCols | ( |  | ) |

inline

References d_cols.

Referenced by ApplicationWindow::clone(), ApplicationWindow::extractGraphs(), LayerDialog::setMultiLayer(), and LayerDialog::update().

int MultiLayer::getRows | ( |  | ) |

inline

References d_rows.

Referenced by ApplicationWindow::clone(), ApplicationWindow::extractGraphs(), LayerDialog::setMultiLayer(), and LayerDialog::update().

bool MultiLayer::hasCommonAxes | ( |  | ) |

inline

References d_common_axes_layout.

Referenced by copy(), and LayerDialog::setMultiLayer().

bool MultiLayer::hasLinkedXLayerAxes | ( |  | ) |

inline

References d_link_x_axes.

Referenced by copy(), LayerDialog::setMultiLayer(), and PlotDialog::setMultiLayer().

bool MultiLayer::hasSelectedLayers | ( |  | ) |

References d_layers_selector.

Referenced by Graph::resizeEvent(), and ApplicationWindow::~ApplicationWindow().

int MultiLayer::horizontalAlignement | ( |  | ) |

inline

References hor_align.

Referenced by copy(), and LayerDialog::setMultiLayer().

bool MultiLayer::isEmpty | ( |  | ) |

slot

References graphsList.

Referenced by ApplicationWindow::addErrorBars(), ApplicationWindow::addFunctionCurve(), ApplicationWindow::addImage(), ApplicationWindow::addTimeStamp(), ApplicationWindow::drawArrow(), ApplicationWindow::drawLine(), ApplicationWindow::drawPoints(), ApplicationWindow::exportAllGraphs(), ApplicationWindow::exportGraph(), ApplicationWindow::fitMultiPeak(), ApplicationWindow::magnify(), ApplicationWindow::movePoints(), ApplicationWindow::newLegend(), ApplicationWindow::removePoints(), ApplicationWindow::setAutoScale(), ApplicationWindow::showCursor(), ApplicationWindow::showLayerDialog(), ApplicationWindow::showRangeSelectors(), ApplicationWindow::showScreenReader(), ApplicationWindow::subtractStraightLine(), ApplicationWindow::translateCurve(), ApplicationWindow::zoomIn(), and ApplicationWindow::zoomOut().

bool MultiLayer::isLayerSelected | ( | Graph * | g | ) |

References d_layers_selector.

Referenced by ApplicationWindow::showGraphContextMenu().

bool MultiLayer::isWaterfallPlot | ( |  | ) |

inline

References d_is_waterfall_plot.

Referenced by ApplicationWindow::autoArrangeLayers(), and copy().

void MultiLayer::keyPressEvent | ( | QKeyEvent * | e | ) |

private

References active_graph, MdiSubWindow::applicationWindow(), d_layers_selector, deselect(), Graph::deselect(), graphsList, setActiveLayer(), and ApplicationWindow::showWindowContextMenu().

Graph * MultiLayer::layer | ( | int | num | ) |

References graphsList.

Referenced by ImageProfilesTool::append(), ImageProfilesTool::clone(), ImageProfilesTool::connectPlotLayers(), copy(), LegendWidget::getCurve(), ImageProfilesTool::modifiedMatrix(), ApplicationWindow::plotImageProfiles(), RectangleWidget::setLinkedLayer(), swapLayers(), and LayerDialog::update().

Graph * MultiLayer::layerAt | ( | const QPoint & | pos | ) |

Returns the layer at the given position; returns 0 if there is no such layer.

References graphsList.

Referenced by ApplicationWindow::dropEvent().

QSize MultiLayer::layerCanvasSize | ( |  | ) |

inline

References l_canvas_height, and l_canvas_width.

Referenced by LayerDialog::update(), and LayerDialog::updateSizes().

int MultiLayer::layerIndex | ( | Graph * | g | ) |

inline

References graphsList.

Referenced by copy(), Graph::exportImage(), Graph::legendText(), PlotDialog::removeSelectedObject(), and PlotDialog::shiftCurveBy().

QList<Graph *> MultiLayer::layersList | ( |  | ) |

inline

References graphsList.

Referenced by ConfigDialog::apply(), TextDialog::apply(), AxesDialog::applyAxisFormat(), PlotDialog::applyBoxWhiskersFormat(), AxesDialog::applyCanvasFormat(), PlotDialog::applyCanvasFormat(), PlotDialog::applyCanvasSize(), PlotDialog::applyErrorBarFormat(), PlotDialog::applyGap(), PlotDialog::applyLabelsFormat(), PlotDialog::applyLayerFormat(), PlotDialog::applyLineFormat(), PlotDialog::applyPercentileFormat(), PlotDialog::applySymbolsFormat(), copy(), ApplicationWindow::custom2DPlotTools(), ApplicationWindow::deleteFitTables(), ApplicationWindow::disableTools(), ApplicationWindow::drawPoints(), ApplicationWindow::extractGraphs(), EnrichmentDialog::frameApplyTo(), ApplicationWindow::magnify(), ApplicationWindow::multilayerDependencies(), ApplicationWindow::multilayerPlot(), EnrichmentDialog::patternApplyTo(), ApplicationWindow::pickDataTool(), Graph::raiseEnrichements(), PlotDialog::resizeCanvasToFitImage(), ApplicationWindow::setGraphDefaultSettings(), PlotDialog::setLabelsFont(), PlotDialog::setMultiLayer(), ApplicationWindow::showCursor(), ApplicationWindow::showScreenReader(), EnrichmentDialog::textFormatApplyTo(), LayerDialog::update(), AxesDialog::updateGrid(), and ApplicationWindow::zoomIn().

int MultiLayer::leftMargin | ( |  | ) |

inline

References left_margin.

Referenced by copy(), and LayerDialog::setMultiLayer().

void MultiLayer::linkXLayerAxes | ( | bool | link = `true` | ) |

References d_link_x_axes, graphsList, and updateLayerAxes().

Referenced by PlotDialog::acceptParams(), ApplicationWindow::appendProject(), copy(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), FFT::outputGraphs(), and LayerDialog::update().

void MultiLayer::modifiedPlot | ( |  | ) |

signal

Referenced by activateGraph(), arrangeLayers(), connectLayer(), eventFilter(), resizeLayers(), selectLayerCanvas(), setFonts(), setGraphGeometry(), swapLayers(), and wheelEvent().

void MultiLayer::mouseReleaseEvent | ( | QMouseEvent * | e | ) |

private

References d_layer_coordinates.

int MultiLayer::numLayers | ( |  | ) |

inline

References graphsList.

Referenced by ApplicationWindow::addLayer(), ApplicationWindow::copySelection(), ApplicationWindow::cutSelection(), ApplicationWindow::extractGraphs(), ApplicationWindow::pasteSelection(), LayerDialog::setMultiLayer(), ApplicationWindow::showWindowContextMenu(), and LayerDialog::update().

void MultiLayer::pasteMarker | ( |  | ) |

signal

void MultiLayer::plotProfiles | ( | Matrix * | m | ) |

References addLayer(), Graph::enableAutoscaling(), Graph::enableAxis(), Graph::enableAxisLabels(), graphsList, Graph::GrayScale, Graph::Linear, Graph::plotSpectrogram(), Matrix::range(), Graph::setAxisLabelRotation(), Graph::setAxisTitle(), Graph::setBackgroundColor(), Graph::setCanvasGeometry(), Graph::setScale(), Matrix::xEnd(), Matrix::xStart(), Matrix::yEnd(), and Matrix::yStart().

Referenced by ApplicationWindow::plotImageProfiles().

void MultiLayer::print | ( |  | ) |

virtual

Reimplemented from MdiSubWindow.

References MdiSubWindow::applicationWindow(), MdiSubWindow::aspect(), canvasRect(), and d_canvas.

void MultiLayer::print | ( | QPrinter * | printer | ) |

virtual

Reimplemented from MdiSubWindow.

References printAllLayers().

void MultiLayer::printActiveLayer | ( |  | ) |

References active_graph, and Graph::print().

void MultiLayer::printAllLayers | ( | QPainter * | painter | ) |

References canvasRect(), d_canvas, d_print_cropmarks, d_scale_on_print, graphsList, and Graph::print().

Referenced by print(), and ApplicationWindow::printAllPlots().

void MultiLayer::printCropmarks | ( | bool | on | ) |

inline

References d_print_cropmarks.

Referenced by PlotDialog::acceptParams(), ConfigDialog::apply(), and ApplicationWindow::initMultilayerPlot().

bool MultiLayer::printCropmarksEnabled | ( |  | ) |

inline

References d_print_cropmarks.

Referenced by copy(), and PlotDialog::setMultiLayer().

void MultiLayer::releaseLayer | ( |  | ) |

private

bool MultiLayer::removeActiveLayer | ( |  | ) |

slot

References active_graph, and removeLayer().

bool MultiLayer::removeLayer | ( | Graph * | g | ) |

slot

References active_graph, Graph::activeTool(), buttonsList, graphsList, MdiSubWindow::modifiedWindow(), setPointerCursor(), and Graph::zoomOn().

Referenced by confirmRemoveLayer(), ApplicationWindow::extractLayers(), removeActiveLayer(), and PlotDialog::removeSelectedObject().

void MultiLayer::resizeLayers | ( | QResizeEvent * | re | ) |

private

References adjustLayersToCanvasSize(), MdiSubWindow::applicationWindow(), arrangeLayers(), Graph::autoscaleFonts(), canvas(), d_canvas, d_canvas_size, d_common_axes_layout, d_is_waterfall_plot, d_layer_coordinates, ApplicationWindow::d_opening_file, d_scale_layers, graphsList, modifiedPlot(), Graph::scaleFonts(), Graph::setCanvasGeometry(), Graph::setPageGeometry(), Graph::updateLayout(), and updateWaterfalls().

Referenced by arrangeLayers(), and eventFilter().

void MultiLayer::reverseWaterfallOrder | ( |  | ) |

References active_graph, graphsList, MdiSubWindow::modifiedWindow(), Graph::reverseCurveOrder(), and Graph::updateDataCurves().

Referenced by createWaterfallBox().

int MultiLayer::rightMargin | ( |  | ) |

inline

References right_margin.

Referenced by copy(), and LayerDialog::setMultiLayer().

int MultiLayer::rowsSpacing | ( |  | ) |

inline

References rowsSpace.

Referenced by copy(), and LayerDialog::setMultiLayer().

void MultiLayer::save | ( | const QString & | fn,
|  | const QString & | geometry,
|  | bool | saveAsTemplate = `false`
| ) |  |

virtual

Reimplemented from MdiSubWindow.

References MdiSubWindow::birthDate(), bottom_margin, MdiSubWindow::captionPolicy(), colsSpace, d_align_policy, d_cols, d_common_axes_layout, d_is_waterfall_plot, d_link_x_axes, d_rows, d_scale_layers, graphsList, hor_align, l_canvas_height, l_canvas_width, left_margin, right_margin, rowsSpace, Graph::saveToString(), top_margin, vert_align, and MdiSubWindow::windowLabel().

bool MultiLayer::scaleLayersOnPrint | ( |  | ) |

inline

References d_scale_on_print.

Referenced by copy(), and PlotDialog::setMultiLayer().

bool MultiLayer::scaleLayersOnResize | ( |  | ) |

inline

References d_scale_layers.

Referenced by copy(), MdiSubWindow::restoreWindow(), LayerDialog::setMultiLayer(), and PlotDialog::setMultiLayer().

void MultiLayer::selectLayerCanvas | ( | Graph * | g | ) |

References active_graph, d_layers_selector, modifiedPlot(), Graph::mousePressed(), and setActiveLayer().

Referenced by connectLayer().

void MultiLayer::setActiveLayer | ( | Graph * | g | ) |

References active_graph, buttonsList, deselect(), Graph::deselect(), graphsList, and Graph::raiseEnrichements().

Referenced by connectLayer(), eventFilter(), keyPressEvent(), and selectLayerCanvas().

void MultiLayer::setAlignement | ( | int | ha,
|  | int | va
| ) |  |

References hor_align, and vert_align.

Referenced by ApplicationWindow::appendProject(), copy(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and LayerDialog::update().

void MultiLayer::setAlignPolicy | ( | const AlignPolicy & | policy | ) |

inline

References d_align_policy.

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::multilayerPlot(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), FFT::outputGraphs(), and LayerDialog::update().

void MultiLayer::setCols | ( | int | c | ) |

References d_cols.

Referenced by FFT::outputGraphs(), LayerDialog::update(), and ApplicationWindow::zoomRectanglePlot().

void MultiLayer::setCommonAxesLayout | ( | bool | on = `true` | ) |

inline

References d_common_axes_layout.

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and LayerDialog::update().

void MultiLayer::setCommonLayerAxes | ( | bool | verticalAxis = `true`,
|  | bool | horizontalAxis = `true`
| ) |  |

References d_cols, d_common_axes_layout, d_rows, graphsList, ScaleDraw::HideBegin, Graph::setAxisTitleString(), Graph::setBackgroundColor(), ScaleDraw::setShowTicksPolicy(), and Graph::updateLayout().

Referenced by ApplicationWindow::multilayerPlot(), FFT::outputGraphs(), and LayerDialog::update().

void MultiLayer::setEqualSizedLayers | ( |  | ) |

References Graph::autoscaleFonts(), bottom_margin, colsSpace, d_canvas, d_cols, d_rows, graphsList, left_margin, right_margin, rowsSpace, Graph::setAutoscaleFonts(), and top_margin.

Referenced by arrangeLayers().

void MultiLayer::setFonts | ( | const QFont & | titleFnt,
|  | const QFont & | scaleFnt,
|  | const QFont & | numbersFnt,
|  | const QFont & | legendFnt
| ) |  |

References graphsList, modifiedPlot(), Graph::setAxisFont(), Graph::setAxisTitle(), LegendWidget::setFont(), and Graph::textsList().

Referenced by PlotDialog::acceptParams().

void MultiLayer::setGraphGeometry | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

References active_graph, and modifiedPlot().

void MultiLayer::setLayerCanvasSize | ( | int | w,
|  | int | h
| ) |  |

References l_canvas_height, and l_canvas_width.

Referenced by ApplicationWindow::appendProject(), PlotDialog::applyCanvasSize(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and LayerDialog::update().

void MultiLayer::setMargins | ( | int | lm,
|  | int | rm,
|  | int | tm,
|  | int | bm
| ) |  |

References bottom_margin, left_margin, right_margin, and top_margin.

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::autoArrangeLayers(), copy(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and LayerDialog::update().

void MultiLayer::setNumLayers | ( | int | n | ) |

References active_graph, Graph::activeTool(), addLayer(), buttonsList, graphsList, MdiSubWindow::modifiedWindow(), setPointerCursor(), TRUE, and Graph::zoomOn().

Referenced by LayerDialog::update().

void MultiLayer::setPointerCursor | ( |  | ) |

signal

Referenced by removeLayer(), and setNumLayers().

void MultiLayer::setRows | ( | int | r | ) |

References d_rows.

Referenced by FFT::outputGraphs(), LayerDialog::update(), and ApplicationWindow::zoomRectanglePlot().

void MultiLayer::setScaleLayersOnPrint | ( | bool | on | ) |

inline

References d_scale_on_print.

Referenced by PlotDialog::acceptParams(), ConfigDialog::apply(), and ApplicationWindow::initMultilayerPlot().

void MultiLayer::setScaleLayersOnResize | ( | bool | ok | ) |

inline

References d_scale_layers.

Referenced by PlotDialog::acceptParams(), ApplicationWindow::appendProject(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), MdiSubWindow::restoreWindow(), ApplicationWindow::setGraphDefaultSettings(), and LayerDialog::update().

void MultiLayer::setSizePolicy | ( | const SizePolicy & | policy | ) |

inline

References d_size_policy.

void MultiLayer::setSpacing | ( | int | rgap,
|  | int | cgap
| ) |  |

References colsSpace, and rowsSpace.

Referenced by ApplicationWindow::appendProject(), copy(), ApplicationWindow::multilayerPlot(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), FFT::outputGraphs(), and LayerDialog::update().

void MultiLayer::setWaterfallFillColor | ( | const QColor & | c | ) |

References active_graph, d_waterfall_fill_color, and Graph::setWaterfallFillColor().

Referenced by showWaterfallFillDialog().

void MultiLayer::setWaterfallLayout | ( | bool | on = `true` | ) |

References createWaterfallBox(), d_is_waterfall_plot, graphsList, updateWaterfalls(), and waterfallBox.

Referenced by ApplicationWindow::appendProject(), copy(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and ApplicationWindow::waterfallPlot().

void MultiLayer::showCurvesDialog | ( |  | ) |

signal

Referenced by addLayerButton().

void MultiLayer::showEnrichementDialog | ( |  | ) |

signal

void MultiLayer::showEvent | ( | QShowEvent * | e | ) |

private

References d_layer_coordinates.

void MultiLayer::showLineDialog | ( |  | ) |

signal

Referenced by connectLayer().

void MultiLayer::showMarkerPopupMenu | ( |  | ) |

signal

Referenced by connectLayer().

void MultiLayer::showWaterfallFillDialog | ( |  | ) |

References active_graph, Graph::curve(), Graph::curvesList(), d_waterfall_fill_color, graphsList, ColorButton::setColor(), setWaterfallFillColor(), and PlotCurve::sideLinesEnabled().

Referenced by createWaterfallBox().

void MultiLayer::showWaterfallOffsetDialog | ( |  | ) |

References active_graph, Graph::curvesList(), graphsList, updateWaterfalls(), Graph::waterfallXOffset(), and Graph::waterfallYOffset().

Referenced by createWaterfallBox().

SizePolicy MultiLayer::sizePolicy | ( |  | ) |

inline

References d_size_policy.

Referenced by copy(), and LayerDialog::setMultiLayer().

QString MultiLayer::sizeToString | ( |  | ) |

virtual

Size of the widget as a string.

Reimplemented from MdiSubWindow.

References Graph::curvesList(), graphsList, Spectrogram::matrix(), MultiLayer(), Matrix::numCols(), and Matrix::numRows().

QList< Graph * > MultiLayer::stackOrderedLayersList | ( |  | ) |

this list is sorted according to the stack order

References d_canvas.

Referenced by canvasPixmap(), draw(), and exportVector().

bool MultiLayer::swapLayers | ( | int | src,
|  | int | dest
| ) |  |

References graphsList, layer(), and modifiedPlot().

Referenced by LayerDialog::swapLayers().

QHBoxLayout* MultiLayer::toolBox | ( |  | ) |

inline

References toolbuttonsBox.

Referenced by ImageProfilesTool::ImageProfilesTool().

int MultiLayer::topMargin | ( |  | ) |

inline

References top_margin.

Referenced by copy(), and LayerDialog::setMultiLayer().

void MultiLayer::updateLayerAxes | ( | Graph * | g,
|  | int | axis
| ) |  |

References MdiSubWindow::applicationWindow(), ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), Graph::axisStep(), ScaleEngine::breakPosition(), ScaleEngine::breakWidth(), ApplicationWindow::d_synchronize_graph_scales, graphsList, ScaleEngine::hasBreakDecoration(), ScaleEngine::log10ScaleAfterBreak(), ScaleEngine::minTicksAfterBreak(), ScaleEngine::minTicksBeforeBreak(), Graph::setScale(), ScaleEngine::stepAfterBreak(), ScaleEngine::stepBeforeBreak(), and ScaleEngine::type().

Referenced by connectLayer(), and linkXLayerAxes().

void MultiLayer::updateLayersLayout | ( | Graph * | g | ) |

References arrangeLayers(), Graph::curveCount(), graphsList, and Graph::newLegend().

void MultiLayer::updateWaterfalls | ( |  | ) |

References d_is_waterfall_plot, graphsList, Graph::isWaterfallPlot(), and Graph::updateDataCurves().

Referenced by ApplicationWindow::autoArrangeLayers(), resizeLayers(), setWaterfallLayout(), and showWaterfallOffsetDialog().

int MultiLayer::verticalAlignement | ( |  | ) |

inline

References vert_align.

Referenced by copy(), and LayerDialog::setMultiLayer().

QColor MultiLayer::waterfallFillColor | ( |  | ) |

inline

References d_waterfall_fill_color.

void MultiLayer::wheelEvent | ( | QWheelEvent * | e | ) |

private

References graphsList, and modifiedPlot().

## Member Data Documentation

Graph* MultiLayer::active_graph

private

Referenced by activateGraph(), activeLayer(), addLayer(), confirmRemoveLayer(), keyPressEvent(), printActiveLayer(), removeActiveLayer(), removeLayer(), reverseWaterfallOrder(), selectLayerCanvas(), setActiveLayer(), setGraphGeometry(), setNumLayers(), setWaterfallFillColor(), showWaterfallFillDialog(), and showWaterfallOffsetDialog().

int MultiLayer::bottom_margin

private

Referenced by arrangeLayers(), bottomMargin(), canvasChildrenRect(), MultiLayer(), save(), setEqualSizedLayers(), and setMargins().

QList<LayerButton *> MultiLayer::buttonsList

private

Referenced by activateGraph(), addLayerButton(), removeLayer(), setActiveLayer(), and setNumLayers().

int MultiLayer::colsSpace

private

Referenced by addLayer(), arrangeLayers(), colsSpacing(), save(), setEqualSizedLayers(), and setSpacing().

QPushButton* MultiLayer::d_add_layer_btn

private

Referenced by MultiLayer().

AlignPolicy MultiLayer::d_align_policy

private

Referenced by alignPolicy(), arrangeLayers(), copy(), save(), and setAlignPolicy().

QWidget* MultiLayer::d_canvas

private

Referenced by addLayer(), adjustLayersToCanvasSize(), arrangeLayers(), canvas(), canvasPixmap(), canvasRect(), draw(), dropEvent(), eventFilter(), exportSVG(), exportTeX(), exportVector(), MultiLayer(), print(), printAllLayers(), resizeLayers(), setEqualSizedLayers(), and stackOrderedLayersList().

QSize MultiLayer::d_canvas_size

private

Referenced by eventFilter(), and resizeLayers().

int MultiLayer::d_cols

private

Used for resizing of layers.

Referenced by addLayer(), arrangeLayers(), getCols(), save(), setCols(), setCommonLayerAxes(), and setEqualSizedLayers().

bool MultiLayer::d_common_axes_layout

private

Referenced by copy(), hasCommonAxes(), resizeLayers(), save(), setCommonAxesLayout(), and setCommonLayerAxes().

bool MultiLayer::d_is_waterfall_plot

private

Referenced by isWaterfallPlot(), resizeLayers(), save(), setWaterfallLayout(), and updateWaterfalls().

QVector<QRectF> MultiLayer::d_layer_coordinates

private

Referenced by mouseReleaseEvent(), MultiLayer(), resizeLayers(), and showEvent().

QPointer<SelectionMoveResizer> MultiLayer::d_layers_selector

private

Referenced by activateGraph(), arrangeLayers(), copyAllLayers(), deselect(), eventFilter(), hasSelectedLayers(), isLayerSelected(), keyPressEvent(), and selectLayerCanvas().

bool MultiLayer::d_link_x_axes

private

Referenced by connectLayer(), hasLinkedXLayerAxes(), linkXLayerAxes(), and save().

bool MultiLayer::d_print_cropmarks

private

Referenced by copy(), printAllLayers(), printCropmarks(), and printCropmarksEnabled().

QPushButton * MultiLayer::d_remove_layer_btn

private

Referenced by MultiLayer().

int MultiLayer::d_rows

private

Referenced by addLayer(), arrangeLayers(), getRows(), save(), setCommonLayerAxes(), setEqualSizedLayers(), and setRows().

bool MultiLayer::d_scale_layers

private

Flag telling if layers should be rescaled on the plot window is resized by the user.

Referenced by arrangeLayers(), copy(), resizeLayers(), save(), scaleLayersOnResize(), and setScaleLayersOnResize().

bool MultiLayer::d_scale_on_print

private

Referenced by copy(), printAllLayers(), scaleLayersOnPrint(), and setScaleLayersOnPrint().

SizePolicy MultiLayer::d_size_policy

private

Referenced by arrangeLayers(), copy(), setSizePolicy(), and sizePolicy().

QColor MultiLayer::d_waterfall_fill_color

private

Referenced by setWaterfallFillColor(), showWaterfallFillDialog(), and waterfallFillColor().

int MultiLayer::graph_height

private

Referenced by MultiLayer().

int MultiLayer::graph_width

private

Referenced by MultiLayer().

QList<Graph *> MultiLayer::graphsList

private

Referenced by activateGraph(), addLayer(), addLayerButton(), adjustLayersToCanvasSize(), arrangeLayers(), canvasChildrenRect(), clickedLayer(), confirmRemoveLayer(), copyAllLayers(), eventFilter(), exportTeX(), findBestLayout(), isEmpty(), keyPressEvent(), layer(), layerAt(), layerIndex(), layersList(), linkXLayerAxes(), numLayers(), plotProfiles(), printAllLayers(), removeLayer(), resizeLayers(), reverseWaterfallOrder(), save(), setActiveLayer(), setCommonLayerAxes(), setEqualSizedLayers(), setFonts(), setNumLayers(), setWaterfallLayout(), showWaterfallFillDialog(), showWaterfallOffsetDialog(), sizeToString(), swapLayers(), updateLayerAxes(), updateLayersLayout(), updateWaterfalls(), wheelEvent(), and ~MultiLayer().

int MultiLayer::hor_align

private

Referenced by horizontalAlignement(), save(), and setAlignement().

int MultiLayer::l_canvas_height

private

Referenced by arrangeLayers(), layerCanvasSize(), save(), and setLayerCanvasSize().

int MultiLayer::l_canvas_width

private

Referenced by arrangeLayers(), layerCanvasSize(), save(), and setLayerCanvasSize().

QHBoxLayout* MultiLayer::layerButtonsBox

private

Referenced by addLayerButton(), and MultiLayer().

int MultiLayer::left_margin

private

Referenced by addLayer(), arrangeLayers(), leftMargin(), MultiLayer(), save(), setEqualSizedLayers(), and setMargins().

int MultiLayer::right_margin

private

Referenced by addLayer(), arrangeLayers(), canvasChildrenRect(), MultiLayer(), rightMargin(), save(), setEqualSizedLayers(), and setMargins().

int MultiLayer::rowsSpace

private

Referenced by addLayer(), arrangeLayers(), rowsSpacing(), save(), setEqualSizedLayers(), and setSpacing().

QHBoxLayout * MultiLayer::toolbuttonsBox

private

Referenced by MultiLayer(), and toolBox().

int MultiLayer::top_margin

private

Referenced by addLayer(), arrangeLayers(), MultiLayer(), save(), setEqualSizedLayers(), setMargins(), and topMargin().

int MultiLayer::vert_align

private

Referenced by save(), setAlignement(), and verticalAlignement().

QHBoxLayout * MultiLayer::waterfallBox

private

Referenced by createWaterfallBox(), MultiLayer(), and setWaterfallLayout().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/MultiLayer.h
- qtiplot/src/plot2D/MultiLayer.cpp